<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <meta http-equiv="Content-Type" charset="UTF-8">
  <title>Customers</title>
  <link th:href="@{'https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css'}" rel="stylesheet">
  <link th:href="@{'https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-star-rating@4.1.2/css/star-rating.min.css'}" media="all" rel="stylesheet" type="text/css"/>
  <script th:src="@{'https://unpkg.com/@popperjs/core@2'}"></script>
  <link rel="stylesheet" th:href="@{'https://use.fontawesome.com/releases/v5.7.2/css/all.css'}" crossorigin="anonymous">
  <script th:src="@{'https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js'}"></script>
  <script th:src="@{/jquery-3.6.0.js}"></script>
  <script th:src="@{/rater.js}"></script>
  <link rel="stylesheet" th:href="@{'https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta3/dist/css/bootstrap-select.min.css'}">
  <script th:src="@{'https://cdn.jsdelivr.net/npm/bootstrap-select@1.14.0-beta3/dist/js/bootstrap-select.min.js'}"></script>

</head>
<body>
<div th:insert="~{/navbar::content}"></div>
<div class="container-fluid">

  <h1>Customer list</h1>
  <button type="button" class="btn btn-outline-primary" data-bs-toggle="modal"
          data-bs-target="#addModal">
    Add customer
  </button>
  <div class="row">
    <br>
    <br>
    <div class="table-responsive">
      <table class="table table-striped align-middle">
        <thead>
        <tr>
          <th class="text-center">Customer id</th>
          <th class="text-center">First name</th>
          <th class="text-center">Last name</th>
          <th class="text-center">Email</th>
          <th class="text-center">Active</th>
          <th class="text-center">City</th>
          <th class="text-center">Postal Code</th>
          <th class="text-center">Phone number</th>
          <th class="text-center">Actions</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="c : ${customerView.getCustomers()}">
          <td class="text-center" th:text="${c.customerId}"></td>
          <td class="text-center" th:text="${c.firstName}"></td>
          <td class="text-center" th:text="${c.lastName}"></td>
          <td class="text-center" th:text="${c.email}"></td>
          <td class="text-center">
            <span th:if="${c.active}" class="badge rounded-pill bg-success text-light">true</span>
            <span th:unless="${c.active}" class="badge rounded-pill bg-dunger text-light">false</span>
          </td>
          <td class="text-center" th:text="${c.cityTitle}"></td>
          <td class="text-center" th:text="${c.postalCode}"></td>
          <td class="text-center" th:text="${c.phone}"></td>

          <td style="width: 130px">
            <button type="button" class="btn btn-sm btn-success fa fa-eye noUnderlineCustom text-white" data-bs-toggle="modal"
                    th:attr="data-bs-target=${'#showModal'+c.customerId}" data-row="${customer}"></button>
            <button type="button"
                    class="btn btn-sm btn-primary fas fa-pencil-alt noUnderlineCustom text-black-50"
                    data-bs-toggle="modal"
                    th:attr="data-bs-target=${'#editModal'+ c.customerId}"
                    data-row="${customer}"></button>
            <button type="button"
                    class="btn  btn-sm btn-success fas fa-solid fa-trash noUnderlineCustom text-black-50"
                    data-bs-toggle="modal"
                    th:attr="data-bs-target=${'#deleteModal'+c.customerId}"
                    data-row="${customer}"></button>
          </td>

        </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>

<!--Modal show-->
<div class="modal fade" th:each="row : ${customerView.getCustomers()}" th:attr="id=${'showModal' + row.customerId}" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="sModalLabel">Film details</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="mb-3">
          <label class="form-label" style="font-weight: bold" th:text="'First name: '"></label>
          <span th:text="${row.firstName}"></span>
        </div>
        <div class="mb-3">
          <label class="form-label" style="font-weight: bold" th:text="'Last name: '"></label>
          <span th:text="${row.lastName}"></span>
        </div>
        <div class="mb-3">
          <label class="form-label" style="font-weight: bold" th:text="'Email: '"></label>
          <span th:utext="${row.email}"></span>
        </div>
        <div class="mb-3">
          <label class="form-label" style="font-weight: bold" th:text="'Active: '"></label>
          <span th:if="${row.active}" class="badge rounded-pill bg-success text-light">true</span>
          <span th:unless="${row.active}" class="badge rounded-pill bg-dunger text-light">false</span>

        </div>
        <div class="mb-3">
          <label class="form-label" style="font-weight: bold" th:text="'City: '"></label>
          <span th:text="${row.cityTitle}"></span>
        </div>
        <div class="mb-3">
          <label class="form-label" style="font-weight: bold" th:text="'Postal code: '"></label>
          <span th:text="${row.postalCode}"></span>
        </div>
        <div class="mb-3">
          <label class="form-label" style="font-weight: bold" th:text="'Phone: '"></label>
          <span th:text="${row.phone}"></span>
        </div>
        <div class="mb-3">
          <label class="form-label" style="font-weight: bold" th:text="'Last update: '"></label>
          <span th:text="${#temporals.format(row.lastUpdate, 'dd-MM-yyyy')}"></span>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>
<!--Modal edit-->
<div class="modal fade" th:each="c : ${customers}" th:attr="id=${'editModal' + c.customerId}" tabindex="-1" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="eModalLabel">Update customer</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <form th:action="@{/customer/update}" method="post">
        <div class="modal-body">
          <div class="mb-3">
            <input type="hidden" name="customerId" th:value="${c.customerId}">
            <label for="customerFirstName1" class="form-label"
                   th:text="'Input customer first name: '"></label>
            <input type="text" class="form-control" id="customerFirstName1" name="firstName"
                   th:value="${c.firstName}">
          </div>
          <div class="mb-3">

            <label for="customerLastName1" class="form-label"
                   th:text="'Input customer last name: '"></label>
            <input type="text" class="form-control" id="customerLastName1" name="lastName"
                   th:value="${c.lastName}">
          </div>
          <div class="mb-3">
            <label for="customerEmail1" class="form-label"
                   th:text="'Input customer email: '"></label>
            <input type="text" class="form-control" id="customerEmail1" name="email"
                   th:value="${c.email}">
          </div>
        </div>

        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Save changes</button>
        </div>
      </form>
    </div>
  </div>
</div>

<!--Modal add-->
<div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="addModalLabel">Add customer</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <form th:action="@{/customers/add}" method="post">
        <div class="modal-body">
          <label for="customerFirstName" th:text="'Input customer first name: '"></label>
          <input type="text" id="customerFirstName" name="firstName">
        </div>
        <div class="modal-body">
          <label for="customerSecondName" th:text="'Input customer Surname: '"></label>
          <input type="text" id="customerSecondName" name="lastName">
        </div>
        <div class="modal-body">
          <label for="customerEmail" th:text="'Input customer email: '"></label>
          <input type="text" id="customerEmail" name="email">
        </div>
        <div class="mb-3">
          <label for="select-address" class="form-label" th:text="'Address: '"></label>
          <select id="select-address" class="selectpicker" name="addressId">
            <option th:each="a : ${addresses}"
                    th:value="${a.addressId}"
                    th:text="${a.address}"></option>
          </select>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-primary">Save changes</button>
        </div>
      </form>
    </div>
  </div>
</div>

<div th:if="${customerView.getTotalPages() > 1}">
  <div class="row col-sm-12">
    <div class="col-sm-2">
      Total Rows: [[${customerView.getTotalElements()}]]
    </div>
    <div class="col-sm-10">
                    <span th:each="i: ${#numbers.sequence(1, customerView.getTotalPages())}">
      <a th:if="${customerView.getNumber()  != i -1 }" th:href="@{'/customers/list?page=' + ${i - 1}}">[[${i}]]</a>
      <span th:unless="${customerView.getNumber()   != i -1 }">[[${i}]]</span> &nbsp; &nbsp;
                    </span>
    </div>
  </div>
</div>

<!--Modal delete-->
<div class="modal fade" th:each="row : ${customers}" th:attr="id=${'deleteModal' + row.customerId}" tabindex="-1"
     aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="dModalLabel" th:text="'Delete customer: ' + ${row.customerId}"></h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <form th:action="@{/customer/delete}" method="post">
        <div class="modal-body">
          <input type="hidden" name="customerId" th:value="${row.customerId}">
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-danger">Delete</button>
        </div>
      </form>
    </div>
  </div>
</div>
</body>
</html>
